Ubuntu

Wacom Mouse Scroll Wheel is Upside-Down

Reported by Nigel Tao on 2006-12-27
24
Affects Status Importance Assigned to Milestone
wacom-tools (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-wacom

I have a USB Wacom tablet attached to my desktop computer, which has a three-button mouse. I use no other mouse.

After upgrading from Dapper to Edgy, the mouse wheel has been inverted, so that pushing the wheel up scrolls down, and vice versa. My hardware hasn't changed, and everything works as expected in WinXP.

I've tried messing around with my xorg.conf, and I didn't find a straightforward fix. xmodmap -e "pointer = ..." didn't help initially, but eventually I found a workaround. The thing is that xmodmap only affects "the core pointer", and my Wacom mouse wasn't "the core pointer", but "Configured Mouse" was instead.

$ xsetpointer -l
"eraser" [XExtensionDevice]
"cursor" [XExtensionDevice]
"stylus" [XExtensionDevice]
"Configured Mouse" [XPointer]
"Generic Keyboard" [XKeyboard]

"stylus" and "cursor" are the two ends of the Wacom stylus, and "cursor" is the mouse. Thus, I can swap the scroll wheel buttons (4 and 5) on my Wacom mouse as follows (note that 4 and 5 are in reverse order):
$ xsetpointer "cursor"
$ xsetpointer -l
"eraser" [XExtensionDevice]
"cursor" [XPointer]
"stylus" [XExtensionDevice]
"Configured Mouse" [XExtensionDevice]
"Generic Keyboard" [XKeyboard]
$ xmodmap -e "pointer = 1 2 3 5 4"

This works, but the workaround merely fixes the symptoms, not the root cause. Hence, I'm filing this bug, but I'm not sure if this is a wacom-tools bug, an Xorg (xserver-xorg-input-wacom) bug, or a kernel (wacom-kernel-source) bug. Any hints on how to dig a little deeper? Before applying my workaround, xev was reporting that pushing the mouse-wheel up (which should generate button 4) was generating button 5, but again, I don't know if this fingers the root cause.

This has been reported at ubuntuforums.org a number of times:
http://ubuntuforums.org/showthread.php?t=316817
http://ubuntuforums.org/showthread.php?t=316330
http://ubuntuforums.org/showthread.php?t=295116
http://ubuntuforums.org/showthread.php?t=286124

This post sounds similar (Wacom mouse wheel is inverted), but is about a year old, so may not be relevant:
http://ubuntuforums.org/showthread.php?t=61993

David Bezler (bnatural) wrote :

confirmed (I know he linked to alot of confirmation, but I thought I would just make that clear here.

MrHaroldA (mrharolda) wrote :

When you convert the device to a pointer, it also becomes sensitive to acceleration, etc. This means that the 'absolute' part of the tablet becomes distorted and working at the edge of the tablet is even more difficult...

Jürgen Kreileder (jk) on 2007-03-25
Changed in wacom-tools:
status: Unconfirmed → Confirmed

I, too, can confirm the symptoms. However, the workaround suggested by the original poster does not appear to work here. "WCursor" was already the core pointer, but xmodmap still won't remap the cursor properly. I have not been able to find out why yet.

Kaihsu Tai (kaihsu) wrote :

I, too, confirm these symptoms.

The original comment above should read '"stylus" and "eraser" are the two ends of the Wacom stylus'.

I think the middle and right buttons on the stylus may also be incorrectly reversed? Or maybe I am dreaming?

Kaihsu Tai (kaihsu) wrote :

By the way, is there a workaround by modifying the file "/etc/X11/xorg.conf"?

clinton (clintonthegeek) wrote :

I can confirm this bug on my Intuos3 6x8 tablet, on everything from Dapper Drake to Feisty Fawn. However, the above-mentioned xmodmap fix doesn't work for me in Feisty Fawn anymore.

I can confirm that the bug is still present in Gutsy, as it was in Feisty. I also cannot fix it with the original posters fix-suggestion using xsetpointer and xmodmap

I found this in the Linux-Wacom-Project ChangeLog:

2006-03-06 Ping Cheng <email address hidden>

    * Fixed a Volito bug (Kirill Frolov)
    * Fixed a xsetwacom.c typo
    * Supporting tablet attach/detach while X driver running (Christian Lupien)
    * Remove SYSCALL from xf86 calls (Christian Lupien)
    * Swapped USB tablet wheel directions (Christian Lupien)

Notice the last line... could this be the reason?

YES !!!

I found a fix (well a work-around). Install wacom-tools, then run the following:

user@host$ xsetwacom get cursor RelWDn
5
user@host$ xsetwacom get cursor RelWUp
4

Here is the the real problem, change them with the following two commands:

user@host$ xsetwacom set cursor RelWUp "5"
user@host$ xsetwacom set cursor RelWDn "4"

Hope this helps, the best solution would be if Option "ZAxisMapping" "5 4" could just work, but that is not the case. I shall try to see if the driver accepts these "RelWUp/RelWDn" in the xorg.conf file and report back with results.

That did not work, the xorg.conf file ignored my RelW[Up/Dn] options.

Kaihsu Tai (kaihsu) wrote :

This should be an easy fix for those with the power and knowledge. Let's see if it can be done before the Gutsy release. Cheers.

Dread Knight (dread.knight) wrote :

I'm running Gutsy (beta) and since about 2 days, my Intuos 3 A5 mouse wheel seems to be working normally, but the cursor doesn't move at all (mouse buttons and stylus work etc).

Anybody else having this problem on gutsy? Any suggestions?

Kaihsu Tai (kaihsu) wrote :

"I'm running Gutsy (beta) and since about 2 days, my Intuos 3 A5 mouse wheel seems to be working normally, but the cursor doesn't move at all (mouse buttons and stylus work etc)." This is quite worrying. Does anyone else have this problem? I am currently using Feisty but if this is recurrent, I might delay my upgrade to Gutsy, even though it is to be released in a few days.

I've reinstalled today and now the mouse is moving. I've heard there is a
problem with some packages and need to be uninstalled and installed again or
something...

2007/10/12, Kaihsu Tai <email address hidden>:
>
> "I'm running Gutsy (beta) and since about 2 days, my Intuos 3 A5 mouse
> wheel seems to be working normally, but the cursor doesn't move at all
> (mouse buttons and stylus work etc)." This is quite worrying. Does
> anyone else have this problem? I am currently using Feisty but if this
> is recurrent, I might delay my upgrade to Gutsy, even though it is to be
> released in a few days.
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dread Knight (dread.knight) wrote :

Seems it's inverted once again :(

Kaihsu Tai (kaihsu) wrote :

I can confirm that this is still the case in Ubuntu 7.10 (Gutsy Gibbon). This lead seemed hopeful: https://bugs.launchpad.net/ubuntu/+source/wacom-tools/+bug/77226/comments/8

Kaihsu Tai (kaihsu) wrote :

How do we get the importance of this bug changed to higher than ‘undecided’?

Dread Knight (dread.knight) wrote :

I actually got used with the inverted mouse (like i even had a choice), but
it's not the point...

There should even be a check button inside the system/preferences/mouse
settings.

2007/10/21, Kaihsu Tai <email address hidden>:
>
> How do we get the importance of this bug changed to higher than
> 'undecided'?
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Brice Terzaghi (terzag) wrote :

Same problem in Gutsy with a Graphire 2 tablet & mouse.

The xsetwacom workaround seems to work although I'm not sure it will still be the case after a reboot.

Kaihsu Tai (kaihsu) wrote :

This seems such a frustrating bug which can be so easy to fix. Shall we try contacting developers upstream? Ping Cheng <email address hidden> and Christian Lupien? The bug has been sitting here for nearly a year.

Dread Knight (dread.knight) wrote :

Damn, i hate this situations. What's the deal with the wacom tools? Should
those be some sort of gui for configuring the tablet like the drivers for
windows add in the control panel?

I will email Mr. Ping and point him out to this issue.

2007/11/9, Kaihsu Tai <email address hidden>:
>
> This seems such a frustrating bug which can be so easy to fix. Shall we
> try contacting developers upstream? Ping Cheng <email address hidden> and
> Christian Lupien? The bug has been sitting here for nearly a year.
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dread Knight (dread.knight) wrote :

Ok, i've sent him an email.

2007/11/9, Dread Knight <email address hidden>:
>
> Damn, i hate this situations. What's the deal with the wacom tools? Should
> those be some sort of gui for configuring the tablet like the drivers for
> windows add in the control panel?
>
> I will email Mr. Ping and point him out to this issue.
>
> 2007/11/9, Kaihsu Tai <email address hidden>:
> >
> > This seems such a frustrating bug which can be so easy to fix. Shall we
> > try contacting developers upstream? Ping Cheng <email address hidden> and
> > Christian Lupien? The bug has been sitting here for nearly a year.
> >
> > --
> > Wacom Mouse Scroll Wheel is Upside-Down
> > https://bugs.launchpad.net/bugs/77226
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>
>

Nigel Tao (nigel-tao-gnome) wrote :

Message from Dread Knight:

Ping said his mouse scroll works fine in his linux... He asked what version of the wacom driver we are using. I have my hdd broken (running ubuntu 7.04 from livecd), so is anyone using gutsy who has this issue? ~ please let me know the version of the wacom driver asap.

Brice Terzaghi (terzag) wrote :

How can I check the version of the wacom driver ?

Nigel Tao (nigel-tao-gnome) wrote :

Still upside-down on Gutsy. Version info is:

$ dpkg -s wacom-tools | grep Version
Version: 1:0.7.7.7-0ubuntu2

Nigel Tao (nigel-tao-gnome) wrote :

FWIW, I have a USB Wacom Graphire4 6x8. "lsusb -v" snippet:

Bus 001 Device 002: ID 056a:0016 Wacom Co., Ltd
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 1.01
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 8
  idVendor 0x056a Wacom Co., Ltd
  idProduct 0x0016
  bcdDevice 4.03
  iManufacturer 1
  iProduct 5
  iSerial 0
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 34
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 40mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 3 Human Interface Devices
      bInterfaceSubClass 1 Boot Interface Subclass
      bInterfaceProtocol 2 Mouse
      iInterface 0
        HID Device Descriptor:
          bLength 9
          bDescriptorType 33
          bcdHID 1.00
          bCountryCode 0 Not supported
          bNumDescriptors 1
          bDescriptorType 34 Report
          wDescriptorLength 98
         Report Descriptors:
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0008 1x 8 bytes
        bInterval 10
cannot read device status, Operation not permitted (1)

Brice Terzaghi (terzag) wrote :

Same version of Wacom-tools. Using a USB Graphire 2.
I can paste the output of lsusb -v if needed.

Dread Knight (dread.knight) wrote :

Ok guys, I've emailed Ping the details. The fact is that the wacom-tools version in Gutsy is not the latest one.

Also, my wacom mouse side buttons don't work as expected (button 4 and 5 i think). Not to talk about the tablet's express keys...

Anyway, "re-inverting" the scroll button won't be any good, since some people prefer it inverted (even i managed to get used to it this way).
We need a GUI to configure the tablet similar to the one the wacom drivers add in windows in control panel.
I'm not a coder but i will start a project soon in order to create such a configuration GUI for GNOME (using GTK, of course) ~ but I need to replace by broken hdd first...

Kaihsu Tai (kaihsu) wrote :

I also ‘got used to’ the wrong direction, but that does not make it right. The default should still be ‘scroll wheel down’ = ‘scroll scrollbar down’. We need to fix it. The GUI can come later. Cheers for all the efforts.

Dread Knight (dread.knight) wrote :

>
> [Ping] Well, with the newer linuxwacom release, 0.7.8 or later, you can
> use "xsetwacom set cursor relwup 5" and "xsetwacom set cursor relwdn 4".
> But this feature was not supported before.

Well, you could get and compile the new driver from here
http://linuxwacom.sourceforge.net/
and do as Ping said. Somebody could also request to introduce the new driver
version in gutsy's new repository, or perhaps more likely as things more
around... in hardy's repository.

2007/11/12, Kaihsu Tai <email address hidden>:
>
> I also 'got used to' the wrong direction, but that does not make it
> right. The default should still be 'scroll wheel down' = 'scroll
> scrollbar down'. We need to fix it. The GUI can come later. Cheers for
> all the efforts.
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dread Knight, please help out this guy http://alexmac.cc/tablet-apps/
don't reinvent the wheel :) I'd like this app to be included by ubuntu and be a bit more polished (for example, making it work with a X server that has no "xorg.conf" file, and in a way that it remembers the user's settings across sessions).

Go kick some ass!

Dread Knight (dread.knight) wrote :

Neat, didn't knew about that project, thanks :)
Will see how i can contribute to that project in any way that i can.

2007/11/12, Jeff Fortin <email address hidden>:
>
> Dread Knight, please help out this guy http://alexmac.cc/tablet-apps/
> don't reinvent the wheel :) I'd like this app to be included by ubuntu and
> be a bit more polished (for example, making it work with a X server that has
> no "xorg.conf" file, and in a way that it remembers the user's settings
> across sessions).
>
> Go kick some ass!
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Kaihsu Tai (kaihsu) wrote :

How does one make such a request? Will this solve the ‘wrong
direction’ bug by setting the correct direction by default?
Cheers.

Dread Knight, 2007-11-12 16:23:24-0000:
> Somebody could also request to introduce the new driver
> version in gutsy's new repository, or perhaps more likely
> as things more around... in hardy's repository.

Kaihsu Tai (kaihsu) wrote :

Do we submit a bug, or email someone? We should do it now,
before Hardy Heron (8.04) gets too far.

Kaihsu Tai, 2007-11-14 12:20:03+0000:
> How does one make such a request? Will this solve the ‘wrong
> direction’ bug by setting the correct direction by default?
> Cheers.
>
> Dread Knight, 2007-11-12 16:23:24-0000:
> > Somebody could also request to introduce the new driver
> > version in gutsy's new repository, or perhaps more likely
> > as things more around... in hardy's repository.

Dread Knight (dread.knight) wrote :

I got my new hdd... setting up ubuntu right now.
Will compile from source very soon the new wacom drivers, taking them for a
spin. Will tell Mr. Ping what problems i'm still experiencing with the
tablet, then perhaps will follow some updates (new driver version). I will
propose that new version to be included in Hardy Haron when the time is
right, before the feature freeze.

2007/11/19, Kaihsu Tai <email address hidden>:
>
> Do we submit a bug, or email someone? We should do it now,
> before Hardy Heron (8.04) gets too far.
>
> Kaihsu Tai, 2007-11-14 12:20:03+0000:
> > How does one make such a request? Will this solve the 'wrong
> > direction' bug by setting the correct direction by default?
> > Cheers.
> >
> > Dread Knight, 2007-11-12 16:23:24-0000:
> > > Somebody could also request to introduce the new driver
> > > version in gutsy's new repository, or perhaps more likely
> > > as things more around... in hardy's repository.
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Brice Terzaghi (terzag) wrote :

I've just bought a laptop on which I installed Gutsy (on my desktop PC, it had been upgraded from Feisty <- Edgy <- Dapper). Strangely enough, the scrollwheel of the tablet mouse works as expected, although I'm not sure the tablet is set up correctly: it is set up in xorg.conf but I have not set the options in programs such as Gimp, etc.
Might it be possible that th wheel problem comes from another setting rather than a bug in the driver ?

Dread Knight (dread.knight) wrote :

I've used a prebuilt from linuxwacom-0.7.9-2 (development/source) and the
mouse wheel works right now. Get it from http://linuxwacom.sourceforge.net/
direct link:
http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.9-2.tar.bz2
Untar and follow the README. Worked like a cham.

On the other hand, the mouse "back and forward" buttons don't work as
expected, like i said before.. the one from the left side does the same as
scrolling down once and the one from the right same as scrolling up once.

2007/11/19, terzag <email address hidden>:
>
>
> Might it be possible that th wheel problem comes from another setting
> rather than a bug in the driver ?

Hmm.. perhaps...

Kaihsu Tai (kaihsu) wrote :

The README says:

download the package then
    $ bunzip2 linuxwacom.tar.bz2
    $ tar xvf linuxwacom.tar
    $ cd linuxwacom/prebuilt
    $ su
    # ./uninstall
    # ./install
    # cp /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
    # gedit /etc/X11/xorg.conf
    # reboot

What exactly do I have to do in the last but one step,
namely gedit /etc/X11/xorg.conf?

Will try to see what happens.

Dread Knight, 2007-11-27 08:50:19-0000:
> I've used a prebuilt from linuxwacom-0.7.9-2 (development/source) and the
> mouse wheel works right now. Get it from http://linuxwacom.sourceforge.net/
> direct link:
> http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.9-2.tar.bz2
> Untar and follow the README. Worked like a cham.
>
> On the other hand, the mouse "back and forward" buttons don't work as
> expected, like i said before.. the one from the left side does the same as
> scrolling down once and the one from the right same as scrolling up once.
>
> 2007/11/19, terzag <email address hidden>:
> >
> >
> > Might it be possible that th wheel problem comes from another setting
> > rather than a bug in the driver ?
>
>
> Hmm.. perhaps...
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.

--
Earth Charter http://earthcharter.org/

Kaihsu Tai (kaihsu) wrote :

Yay! It works for me too. There did not seem to be any need
to edit /etc/X11/xorg.conf, by the way. Cheers.

Kaihsu Tai, 2007-11-27 10:41:46+0000:
> The README says:
>
> download the package then
> $ bunzip2 linuxwacom.tar.bz2
> $ tar xvf linuxwacom.tar
> $ cd linuxwacom/prebuilt
> $ su
> # ./uninstall
> # ./install
> # cp /etc/X11/xorg.conf /etc/X11/xorg.conf.bak
> # gedit /etc/X11/xorg.conf
> # reboot
>
> What exactly do I have to do in the last but one step,
> namely gedit /etc/X11/xorg.conf?
>
> Will try to see what happens.
>
> Dread Knight, 2007-11-27 08:50:19-0000:
> > I've used a prebuilt from linuxwacom-0.7.9-2 (development/source) and the
> > mouse wheel works right now. Get it from http://linuxwacom.sourceforge.net/
> > direct link:
> > http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.9-2.tar.bz2
> > Untar and follow the README. Worked like a cham.
> >
> > On the other hand, the mouse "back and forward" buttons don't work as
> > expected, like i said before.. the one from the left side does the same as
> > scrolling down once and the one from the right same as scrolling up once.

--
Earth Charter http://earthcharter.org/

Kaihsu Tai (kaihsu) wrote :

What is the procedure of getting this included as default in
Hardy Heron? Cheers for the efforts.

Dread Knight, 2007-11-27 08:50:19-0000:
> I've used a prebuilt from linuxwacom-0.7.9-2 (development/source) and the
> mouse wheel works right now. Get it from http://linuxwacom.sourceforge.net/
> direct link:
> http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.9-2.tar.bz2
> Untar and follow the README. Worked like a cham.
>
> On the other hand, the mouse "back and forward" buttons don't work as
> expected, like i said before.. the one from the left side does the same as
> scrolling down once and the one from the right same as scrolling up once.

--
2007-12-01 World AIDS Day http://unaids.org/ http://worldaidscampaign.info/

Dread Knight (dread.knight) wrote :

Yeah.. the gedit part was weird :) hehe
Well, a bug report on ubuntu haron with the update tag, before feature
freeze.

2007/11/27, Kaihsu Tai <email address hidden>:
>
> What is the procedure of getting this included as default in
> Hardy Heron? Cheers for the efforts.
>
> Dread Knight, 2007-11-27 08:50:19-0000:
> > I've used a prebuilt from linuxwacom-0.7.9-2 (development/source) and
> the
> > mouse wheel works right now. Get it from
> http://linuxwacom.sourceforge.net/
> > direct link:
> > http://prdownloads.sourceforge.net/linuxwacom/linuxwacom-0.7.9-2.tar.bz2
> > Untar and follow the README. Worked like a cham.
> >
> > On the other hand, the mouse "back and forward" buttons don't work as
> > expected, like i said before.. the one from the left side does the same
> as
> > scrolling down once and the one from the right same as scrolling up
> once.
>
> --
> 2007-12-01 World AIDS Day http://unaids.org/
> http://worldaidscampaign.info/
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Dread Knight (and others), just to tell you that the linux wacom gui I was talking about earlier actually is not maintained anymore. I got this reply from the author, when I asked if it was possible to have "session persistent settings" (remember the wacom settings on login):

"Unfortunately I no longer use linux so I'm not actively maintaining
that program, however you can use the commandline program "xsetwacom"
to set the values in a script and then tell gnome or kde to run that
script on login"

I would be happy if someone wanted to continue that neat project...

Kaihsu Tai (kaihsu) wrote :

Has anyone done this yet? I do not quite know where to
start....

Dread Knight, 2007-11-27 16:26:25-0000:
> Well, a bug report on Ubuntu [Hardy Heron] with the update
> tag, before feature freeze.
>
> 2007/11/27, Kaihsu Tai <email address hidden>:
> > What is the procedure of getting this included as default in
> > Hardy Heron? Cheers for the efforts.

--
2007-12-10 Human Rights Day http://www.un.org/events/humanrights/

Dread Knight (dread.knight) wrote :

Right now I'm in a big strugle to make the mouse work on kubuntu hardy
alpha... something strange happened.. so i was forced to install
kubuntu from 7.04 and update all over ... my linux skills are NOT that
great.... lets see what happenes next time after the update and i'll
see about the bug report...

Anyone tryed hardy alpha so far to see if the mouse is working? even
from a live cd...

2007/12/4, Kaihsu Tai <email address hidden>:
> Has anyone done this yet? I do not quite know where to
> start....
>
> Dread Knight, 2007-11-27 16:26:25-0000:
> > Well, a bug report on Ubuntu [Hardy Heron] with the update
> > tag, before feature freeze.
> >
> > 2007/11/27, Kaihsu Tai <email address hidden>:
> > > What is the procedure of getting this included as default in
> > > Hardy Heron? Cheers for the efforts.
>
> --
> 2007-12-10 Human Rights Day http://www.un.org/events/humanrights/
>
> --
> Wacom Mouse Scroll Wheel is Upside-Down
> https://bugs.launchpad.net/bugs/77226
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hardy beta comes with (at the moment) 0.7.9.8. I just installed it today and the mouse wheel on my Graphire 4 is scrolling properly - down is down, and up is up. It was inverted when I had Gusty. Can anyone else confirm that it is fixed with their model?

clinton (clintonthegeek) wrote :

Yup! Scrolling works correctly now on my Intuos 3 in Hardy. :)

Kaihsu Tai (kaihsu) on 2008-11-10
Changed in wacom-tools:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers